const Generator = require('yeoman-generator')

module.exports = class extends Generator{
  prompting(){
    return this.prompt([
      {
        type:'input',
        name:'name',
        message:'your project name:',
        default: this.appname
      }
    ])
    .then(answers=>{
      this.answers = answers
    })
  }
  writing(){
    // this.fs.write(
    //   this.destinationPath('temp.txt'),
    //   Math.random().toString()
    // )
    // const temp = this.templatePath('foo.txt')
    // const output = this.destinationPath('foo.txt')
    // const text = this.answers

    // this.fs.copyTpl(temp,output,text)

    const templates = [
      'api/public/index.js',
      'api/public/news.js',
      'api/user.js',
      'src/App.vue'
    ]
    templates.forEach(item => {
      this.fs.copyTpl(
        this.templatePath(item),
        this.destinationPath(item),
        this.answers
      )
    })
  }
}