const Generator = require('yeoman-generator')

module.exports = class extends Generator{
  prompting(){
    return this.prompt([
      {
        type:'input',
        name:'name',
        message:'your project name:',
        default: this.appname
      }
    ])
    .then(answers=>{
      this.answers = answers
    })
  }
  writing(){
    const template = [
      'public/svg/loading-spin.svg',
      'public/index.html',
      'src/api/public/index.js',
      'src/api/public/news.js',
      'src/api/user.js',
      'src/App.vue'
    ]
  }
}