const Generator = require('yeoman-generator')

module.exports = class extends Generator{
  prompting(){
    return this.prompt([
      {
        type:'input',
        name:'name',
        message:'your project name:',
        default: this.appname
      }
    ])
    .then(answers=>{
      this.answers = answers
    })
  }
  writing(){
    const templates = [
      'api/public/index.js',
      'api/public/news.js',
      'api/user.js',
      'src/App.vue',
      'foo.txt'
    ]
    templates.forEach(item => {
      this.fs.copyTpl(
        this.templatePath(item),
        this.destinationPath(item),
        this.answers
      )
    })
  }
}